Subject: Re: inetutils Readme
From: "Gerrit P. Haase" <[email-masked]>
To: Ben Stewart <[email-masked]>
Cc: [email-masked]
Date: Sat, 29 Sep 2001 11:04:17 +0200

Ben Stewart schrieb am 2001-09-29, 11:07:

>G'day all,
>
>I would like to suggest that the following step is listed in the
>/usr/doc/Cygwin/inetutils-<version>.README:
>
>The mount points for HKEY_USERS\.DEFAULT need to be setup as described
>in this message:
>
>http://sources.redhat.com/ml/cygwin/2000-11/msg00162.html

I don't know what your problems are.
There is mentioned that cd //g doesn't work, this is 
now absolutely impossible, even local.  I had never
problems getting on some other drives from my cygwin base dir.
I never changed registry entries.
The mentioned entry looks like this (default):
HKEY_USERS\.DEFAULT\Software\Cygnus Solutions\Cygwin\mounts v2\cygdrive prefix\/cygdrive
You may change this prefix to what you like it to be:
$ mount --help
Usage: mount [OPTION] [<win32path> <posixpath>]
...
  -c, --change-cygdrive-prefix  change the cygdrive path prefix to <posixpath>
...
You may call it 'hdd' instead of 'cygdrive' because it is shorter,
but it makes no difference, since it is always reachable through:
$ cd x:
(At least for me, and I see no difference whather it is local or remote)

And I'm in doubt that mounting like this is possible:

From your URL:
>$ mount
>Device              Directory           Type         Flags
>c:\programme\cygwin\bin  /usr/bin            system       binmode
>c:\programme\cygwin\lib  /usr/lib            system       binmode
>c:\Programme\cygwin  /                   user         textmode
>c:\programme\cygwin  /                   system       binmode

The correct output from 'mount' is (this is the default):
$ mount
H:\bin on /usr/bin type system (binmode)
H:\lib on /usr/lib type system (binmode)
H: on / type system (binmode)
c: on /cygdrive/c type user (binmode,noumount)
d: on /cygdrive/d type user (binmode,noumount)
e: on /cygdrive/e type user (binmode,noumount)
i: on /cygdrive/i type user (binmode,noumount)

As you can see, there is no big difference, besides there is
onle one mount '/' and the (default) /cygdrive/... mounts for
second, third,  fourth, ... partition.

one of my own generated mounts:
h:\usr\X11R6\include\X11 on /usr/include/X11 type system (binmode)

To get on another drive (from remote):
$ ssh localhost
Siebenschlaefer@localhost's password:
Last login: Mon Sep 24 01:34:05 2001 from 127.0.0.1:0.0
Fanfare!!!
You are successfully logged in to this server!!!

Siebenschlaefer@LORELEY ~
$ pwd
/home/Siebenschlaefer

Siebenschlaefer@LORELEY ~
$ cd c:

Siebenschlaefer@LORELEY /cygdrive/c
$ cd d:

Siebenschlaefer@LORELEY /cygdrive/d
$ cd e:

Siebenschlaefer@LORELEY /cygdrive/e
$ cd h:

Siebenschlaefer@LORELEY /
$ cd i:

Siebenschlaefer@LORELEY /cygdrive/i
$

Where is the problem?

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/